/*
 * 岗位管理接口
*/
import request from '../index'
// 列表
export function getPostListPage(data: any) {
  return request({
    url: '/system/position/listPage',
    method: 'get',
    params: data,
  })
}
// 新建
export function addPost(data: any) {
  return request({
    url: '/system/position/add',
    method: 'post',
    data,
  })
}
// 编辑
export function updatePost(data: any) {
  return request({
    url: '/system/position/update',
    method: 'post',
    data,
  })
}
// 删除
export function delPost(data: any) {
  return request({
    url: '/system/position/delete',
    method: 'post',
    data,
  })
}
// 列表 - 不分页
export function getPostList(data: any) {
  return request({
    url: '/system/position/list',
    method: 'get',
    params: data,
  })
}
